%define		_class		PECL
%define		_subclass	Gen
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - tool to generate PECL extension from XML description
Name:		php-pear-%{_pearname}
Version:	0.8.5
Release:	%mkrel 7
License:	PHP License
Group:		Development/PHP
Source0:	http://pecl.php.net/get/%{_pearname}-%{version}.tar.bz2
URL:		http://pecl.php.net/package/PECL_Gen/
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PECL_Gen (formerly known as ext_skel_ng) is a pure PHP replacement
for the ext_skel shell script that comes with the PHP 4 source.
It reads in configuration options, function prototypes and code fragments
from an XML description file and generates a complete ready-to-compile
PECL extension.

In PEAR status of this package is: %{_status}.

%build
cd %{_pearname}-%{version}
sed -i -e 's#/usr/local/bin#/usr/bin#' pecl-gen

%prep

%setup -q -c

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix -U

%install
rm -rf %{buildroot}

install -d %{buildroot}{%{_bindir},%{_datadir}/pear/%{_class}/%{_subclass}/{Element,License,Tools}}

install %{_pearname}-%{version}/*.php		%{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}
install %{_pearname}-%{version}/Element/*.php	%{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Element
install %{_pearname}-%{version}/License/*.php	%{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/License
install %{_pearname}-%{version}/Tools/*.php	%{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Tools
install %{_pearname}-%{version}/pecl-gen	%{buildroot}%{_bindir}

install -d %{buildroot}%{_datadir}/pear/packages
install -m0644 package.xml %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear uninstall --nodeps -r %{_pearname}
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%dir %{_datadir}/pear/%{_class}/
%dir %{_datadir}/pear/%{_class}/%{_subclass}
%dir %{_datadir}/pear/%{_class}/%{_subclass}/Element
%dir %{_datadir}/pear/%{_class}/%{_subclass}/License
%dir %{_datadir}/pear/%{_class}/%{_subclass}/Tools
%{_datadir}/pear/%{_class}/%{_subclass}/*.php
%{_datadir}/pear/%{_class}/%{_subclass}/Element/*.php
%{_datadir}/pear/%{_class}/%{_subclass}/License/*.php
%{_datadir}/pear/%{_class}/%{_subclass}/Tools/*.php
%attr(755,root,root) %{_bindir}/pecl-gen

%{_datadir}/pear/packages/%{_pearname}.xml




%changelog

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-7mdv2007.0
+ Revision: 82507
- Import php-pear-PECL_Gen

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-1mdk
- initial Mandriva package (PLD import)

